### Method

# Gio SettingsSchema get_path

since: 2.32

#### Declaration

    const gchar*
    g_settings_schema_get_path (
      GSettingsSchema* schema
    )

#### Description

Gets the path associated with `schema`, or `NULL`.

Schemas may be single-instance or relocatable. Single-instance schemas correspond to exactly one set of keys in the backend database: those located at the path returned by this function.

Relocatable schemas can be referenced by other schemas and can therefore describe multiple sets of keys at different locations. For relocatable schemas, this function will return `NULL`.

Available since: 2.32

#### Return value

Type: `const gchar*`

The path of the schema, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.